Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.util
Class StringKeyStringValueIgnoreCaseMultivaluedMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          com.sun.jersey.core.util.KeyComparatorHashMap<java.lang.String,java.util.List<V>>
              com.sun.jersey.core.util.StringKeyIgnoreCaseMultivaluedMap<java.lang.String>
                  com.sun.jersey.core.util.StringKeyStringValueIgnoreCaseMultivaluedMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.util.List<java.lang.String>>, javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String>

Direct Known Subclasses:
  InBoundHeaders

    public class StringKeyStringValueIgnoreCaseMultivaluedMap

extends StringKeyIgnoreCaseMultivaluedMap<java.lang.String>

An implementation of `MultivaluedMap` where keys are instances of String and are compared ignoring case and values are instances of String.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`StringKeyStringValueIgnoreCaseMultivaluedMap()`

Method Summary
`void` | `addObject(java.lang.String key, java.lang.Object value)`
`
`<A> java.util.List<A>`
` | `get(java.lang.String key, java.lang.Class<A> type)`
`
`<A> A`
` | `getFirst(java.lang.String key, A defaultValue)`
`
`<A> A`
` | `getFirst(java.lang.String key, java.lang.Class<A> type)`
`void` | `putSingleObject(java.lang.String key, java.lang.Object value)`

Methods inherited from class com.sun.jersey.core.util.StringKeyIgnoreCaseMultivaluedMap
`add, getFirst, getList, putSingle`

Methods inherited from class com.sun.jersey.core.util.KeyComparatorHashMap
`clear, clone, containsKey, containsValue, entrySet, get, getDEFAULT_INITIAL_CAPACITY, getModCount, isEmpty, put, putAll, remove, size`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, keySet, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### StringKeyStringValueIgnoreCaseMultivaluedMap

    public StringKeyStringValueIgnoreCaseMultivaluedMap()

Method Detail

### putSingleObject

    public void putSingleObject(java.lang.String key,
                                java.lang.Object value)

### addObject

    public void addObject(java.lang.String key,
                          java.lang.Object value)

### get

    public <A> java.util.List<A> get(java.lang.String key,
                                     java.lang.Class<A> type)

### getFirst

    public <A> A getFirst(java.lang.String key,
                          java.lang.Class<A> type)

### getFirst

    public <A> A getFirst(java.lang.String key,
                          A defaultValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.